# arrayfire.features module

Features class used for Computer Vision algorithms.

class `arrayfire.features.``Features`(num=0)

  Bases: `object`

  A container class used for various feature detectors.

  Parameters:

  num: optional: int. default: 0.

  > Specifies the number of features.

  Methods

  `get_orientation`() | Returns the orientations of the features detected.
  `get_score`() | Returns the scores of the features detected.
  `get_size`() | Returns the sizes of the features detected.
  `get_xpos`() | Returns the x-positions of the features detected.
  `get_ypos`() | Returns the y-positions of the features detected.
  `num_features`() | Returns the number of features detected.

  `get_orientation`()

    Returns the orientations of the features detected.

  `get_score`()

    Returns the scores of the features detected.

  `get_size`()

    Returns the sizes of the features detected.

  `get_xpos`()

    Returns the x-positions of the features detected.

  `get_ypos`()

    Returns the y-positions of the features detected.

  `num_features`()

    Returns the number of features detected.